%define major 3
%define major_gtk 3
%define major_json 3
%define libname %mklibname dbusmenu-glib %{major}
%define gtklibname %mklibname dbusmenu-gtk %{major_gtk}
%define jsonname %mklibname dbusmenu-jsonloader %{major_json}
%define develname %mklibname dbusmenu-glib -d
%define gtkdevelname %mklibname dbusmenu-gtk -d
%define jsondevelname %mklibname dbusmenu-jsonloader -d
%define toolsname %{name}-tools

Name:           libdbusmenu
Version:        0.4.1
Release:        %mkrel 1
Summary:        Library for applications to pass a menu scructure accross DBus
License:        LGPLv3
Group:          System/Libraries
URL:            https://launchpad.net/dbusmenu
Source0:        http://launchpad.net/dbusmenu/0.3/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  libxml2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gtk+2-devel
BuildRequires:  libjson-glib-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala-tools
BuildRequires:  gnome-doc-utils

%description
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

#-----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries
%description -n	%{libname}
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}-glib.so.%{major}*

#-----------------------------------------------------------------------

%package -n     %{gtklibname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries
%description -n %{gtklibname}
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

%files -n       %{gtklibname}
%defattr(-,root,root)
%{_libdir}/%{name}-gtk.so.%{major_gtk}*

#-----------------------------------------------------------------------

%package -n     %{jsonname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries
%description -n %{jsonname}
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

%files -n       %{jsonname}
%defattr(-,root,root)
%{_libdir}/%{name}-jsonloader.so.%{major_json}*

#-----------------------------------------------------------------------

%package -n     %{develname}
Summary:        Library headers for %{name}
Group:          Development/C 
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
%description -n %{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{develname}
%defattr(-,root,root)
%{_includedir}/libdbusmenu-0.4/libdbusmenu-glib
%{_libdir}/libdbusmenu-glib.so
%{_libdir}/libdbusmenu-glib.la
%{_libdir}/pkgconfig/dbusmenu-glib-0.4.pc
%doc %{_datadir}/gtk-doc/html/libdbusmenu-glib

#------------------------------------------------------------------------

%package -n     %{gtkdevelname}
Summary:        Library headers for %{name}
Group:          Development/C
Requires:       %{gtklibname} = %{version}
Requires:       %{develname} = %{version}
Provides:       %{name}-gtk-devel = %{version}-%{release}

%description -n %{gtkdevelname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{gtkdevelname}
%defattr(-,root,root)
%{_includedir}/libdbusmenu-0.4/libdbusmenu-gtk
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/libdbusmenu-gtk.la
%{_libdir}/pkgconfig/dbusmenu-gtk-0.4.pc
%doc %{_datadir}/gtk-doc/html/libdbusmenu-gtk
 
#-----------------------------------------------------------------------

%package -n     %{jsondevelname}
Summary:        Library headers for %{name}
Group:          Development/C
Requires:       %{jsonname} = %{version}
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-jsonloader-devel = %{version}-%{release}

%description -n %{jsondevelname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{jsondevelname}
%defattr(-,root,root)
%{_includedir}/libdbusmenu-0.4/libdbusmenu-jsonloader
%{_libdir}/libdbusmenu-jsonloader.so
%{_libdir}/libdbusmenu-jsonloader.la
%{_libdir}/pkgconfig/dbusmenu-jsonloader-0.4.pc

#-----------------------------------------------------------------------

%package -n %{toolsname}
Summary:        Tools useful when building applications
Group:          Development/C
%description -n %{toolsname}
This package contains tools that are useful when building applications. 

%files -n %{toolsname}
%defattr(-,root,root)
%{_libdir}/dbusmenu-bench
%{_libdir}/dbusmenu-dumper
%{_libdir}/dbusmenu-testapp
%{_datadir}/%{name}/json/test-gtk-label.json
%{_defaultdocdir}/%{name}/

#-----------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-introspection=no --enable-gtk-doc-html
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%clean
%__rm -rf %{buildroot}




%changelog
* Sun Apr 03 2011 obgr_seneca <obgr_seneca> 0.4.1-1.mga1
+ Revision: 79979
- new version 0.4.1

* Thu Mar 24 2011 boklm <boklm> 0.3.16-3.mga1
+ Revision: 76164
- rebuild for bug #497

* Tue Mar 15 2011 obgr_seneca <obgr_seneca> 0.3.16-2.mga1
+ Revision: 71581
- removed some defines from the spec file
- replaced tabs ba spaces
- cleaned up spec file
- removed buildroot tag
- imported package libdbusmenu


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.3.16-1mdv2011.0
+ Revision: 593656
- new version 0.3.16
- disable gir building (it is failing)
- rebuild for new gir

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2011.0
+ Revision: 564207
- rebuild
- drop unused patch
- New version 0.3.8

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 0.2.9
    - BR vala-tools
    - update files list

* Sat Mar 13 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.6-1mdv2010.1
+ Revision: 518768
- Clean up of the spec file

  + John Balcaen <mikala@mandriva.org>
    - import libdbusmenu


